## netcf 0.1.9

=== .gnulib/Makefile ===
# GNU Makefile for gnulib central.
# Copyright (C) 2006, 2009-2011 Free Software Foundation, Inc.
#
# Copying and distribution of this file, with or without modification,
# in any medium, are permitted without royalty provided the copyright
# notice and this notice are preserved.

# This Makefile requires the use of GNU make.  Some targets require
# that you have tools like git, makeinfo and cppi installed.

# Required for the use of <(...) below.
SHELL=/bin/bash

# Produce some files that are not stored in the repository.
all:

# Produce the documentation in readable form.
info html dvi pdf:
	cd doc && $(MAKE) $@ && $(MAKE) mostlyclean

# Collect the names of rules starting with `sc_'.
syntax-check-rules := $(sort $(shell sed -n 's/^\(sc_[a-zA-Z0-9_-]*\):.*/\1/p'\
			Makefile))

# Perform some platform independent checks on the gnulib code.
check: $(syntax-check-rules)

sc_prefer_ac_check_funcs_once:
	if test -d .git; then						\
	  git grep -w -l AC_CHECK_FUNCS modules				\
	    && { echo use AC_CHECK_FUNCS_ONCE, not AC_CHECK_FUNCS	\
		   in modules/ 1>&2; exit 1; } || :			\
	else :; fi

sc_prohibit_augmenting_PATH_via_TESTS_ENVIRONMENT:
	if test -d .git; then						\
	  url=http://thread.gmane.org/gmane.comp.lib.gnulib.bugs/22874;	\
	  git grep '^[	 ]*TESTS_ENVIRONMENT += PATH=' modules		\
	    && { printf '%s\n' 'Do not augment PATH via TESTS_ENVIRONMENT;' \
		 "  see <$$url>" 1>&2; exit 1; } || :			\
	else :; fi

# Files in m4/ that (exceptionally) may use AC_LIBOBJ.
# Do not include their ".m4" suffix.
allow_AC_LIBOBJ =	\
  close			\
  dprintf		\
  dup2			\
  faccessat		\
  fchdir		\
  fclose		\
  fcntl			\
  fprintf-posix		\
  open			\
  printf-posix-rpl	\
  snprintf		\
  sprintf-posix		\
  stdio_h		\
  vasnprintf		\
  vasprintf		\
  vdprintf		\
  vfprintf-posix	\
  vprintf-posix		\
  vsnprintf		\
  vsprintf-posix

allow_AC_LIBOBJ_or := $(shell echo $(allow_AC_LIBOBJ) | tr -s ' ' '|')

sc_prohibit_AC_LIBOBJ_in_m4:
	url=http://article.gmane.org/gmane.comp.lib.gnulib.bugs/26995;	\
	if test -d .git; then						\
	  git ls-files m4						\
	     | grep -Ev '^m4/($(allow_AC_LIBOBJ_or))\.m4$$'		\
	     | xargs grep '^ *AC_LIBOBJ('				\
	    && { printf '%s\n' 'Do not use AC_LIBOBJ in m4/*.m4;'	\
		 "see <$$url>"; exit 1; } || :;				\
	else :; fi

sc_pragma_columns:
	if test -d .git; then						\
	  git ls-files|grep '\.in\.h$$'					\
	      | xargs grep -l '^@PRAGMA_SYSTEM_HEADER@'			\
	      | xargs grep -L '^@PRAGMA_COLUMNS@'			\
	      | grep .							\
	    && { printf '%s\n'						\
		   'the files listed above use @PRAGMA_SYSTEM_HEADER@'	\
		   'without also using @PRAGMA_COLUMNS@' 1>&2;		\
		 exit 1; } || :;					\
	else :; fi

# Verify that certain (for now, only Jim Meyering and Eric Blake's)
# *.c files are consistently cpp indented.
sc_cpp_indent_check:
	./gnulib-tool --extract-filelist \
            $$(cd ./modules; grep -ilrE '(meyering|blake)' .) \
          | sort -u \
          | grep '\.c$$' \
          | grep -v '/getloadavg\.c$$' \
          | xargs cppi -c

# Ensure that the list of symbols checked for by the
# sc_prohibit_intprops_without_use rule match those in the actual file.
# Extract the symbols from the .h file and compare with the list of
# symbols extracted from the rule in maint.mk.
sc_check_sym_list:
	i=lib/intprops.h; \
	diff -u <(perl -lne '/^# *define ([A-Z]\w+)\(/ and print $$1' $$i|fmt) \
	  <(sed -n /^_intprops_name/,/^_intprops_syms_re/p top/maint.mk \
            |sed '/^_/d;s/^  //;s/	*\\$$//')

# Regenerate some files that are stored in the repository.
regen: MODULES.html

# MODULES.html is periodically being generated and copied to the web pages at
# :ext:USER@cvs.savannah.gnu.org:/web/gnulib/gnulib/
# where it then appears at <http://www.gnu.org/software/gnulib/MODULES.html>.
MODULES.html: MODULES.html.sh
	./MODULES.html.sh > MODULES.html

# Run this rule once per year (usually early in January)
# to update all FSF copyright year lists here.
# We exclude the files listed in srclist.txt (maintained elsewhere)
# as well as those in tests/unictype (generated).
# Also exclude any file that includes the "GENERATED AUTOMATICALLY" comment,
# being careful not to exclude code that merely generates the comment.
# Also exclude doc/INSTALL*, since they too are generated.
update-copyright:
	exempt=$$(mktemp);						\
	grep -v '^#' config/srclist.txt|grep -v '^$$'			\
	  | while read src dst; do					\
	      test -f "$$dst" && { echo "$$dst"; continue; };		\
	      test -d "$$dst" || continue;				\
	      echo "$$dst"/$$(basename "$$src");			\
	    done > $$exempt;						\
	git ls-files tests/unictype >> $$exempt;			\
	git ls-files doc/INSTALL* >> $$exempt;				\
	git ls-files | grep -vFf $$exempt				\
	  | xargs grep -L '^/\*.*GENERATED AUTOMATICALLY'		\
	  | UPDATE_COPYRIGHT_MAX_LINE_LENGTH=79				\
	    UPDATE_COPYRIGHT_USE_INTERVALS=1				\
	      xargs build-aux/update-copyright

=== .gnulib/doc/Makefile ===
# Makefile for gnulib doc.
# Copyright (C) 2004, 2006-2011 Free Software Foundation, Inc.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.

doc = gnulib

lang_env = env LANG= LC_MESSAGES= LC_ALL= LANGUAGE=
makeinfo_prog = makeinfo
MAKEINFO = $(lang_env) $(makeinfo_prog)

manual_opts = --no-split --reference-limit=2000
TEXI2HTML = $(MAKEINFO) $(manual_opts) --html

# Needed so that tex finds a recent enough texinfo.tex.
tex_opts = -I ../build-aux

%.info: %.texi
	$(MAKEINFO) $(manual_opts) $<

%.html: %.texi
	$(TEXI2HTML) -o $@ $<

%.dvi: %.texi
	texi2dvi $(tex_opts) $< || { if texi2dvi $(tex_opts) $< 2>/dev/null | grep 'TeX capacity exceeded, sorry \[save size=' > /dev/null; then echo '*** You must increase the save_size in your texmf.cnf file, often located under /etc/texmf/.'; fi; exit 1; }

%.pdf: %.texi
	texi2pdf $(tex_opts) $< || { if texi2pdf $(tex_opts) $< 2>/dev/null | grep 'TeX capacity exceeded, sorry \[save size=' > /dev/null; then echo '*** You must increase the save_size in your texmf.cnf file, often located under /etc/texmf/.'; fi; exit 1; }

all: info html dvi
info: $(doc).info
html: $(doc).html
dvi: $(doc).dvi
pdf: $(doc).pdf

INSTALL_PRELUDE = echo '@firstparagraphindent insert'

# INSTALL file with old ASCII quotation marks (looks ugly on modern machines).
INSTALL: install.texi
	$(INSTALL_PRELUDE) | cat - $< > tmp.texi
	$(MAKEINFO) --plaintext --no-validate tmp.texi > $@
	rm -f tmp.texi

# INSTALL file with ISO 646 or ISO 8859 quotation marks.
INSTALL.ISO: install.texi
	$(INSTALL_PRELUDE) | cat - $< > tmpi.texi
	$(MAKEINFO) --plaintext --no-validate tmpi.texi \
	  | sed -e "s/\`\([^']*\)'/'\1'/g" > $@
	rm -f tmpi.texi

# INSTALL file wit ISO 10646 (Unicode) quotation marks.
INSTALL.UTF-8: install.texi
	$(INSTALL_PRELUDE) | cat - $< > tmpu.texi
	$(MAKEINFO) --plaintext --no-validate tmpu.texi \
	  | sed -e "s/\`\([^']*\)'/‘\1’/g" > $@
	rm -f tmpu.texi

GNULIB_TEXI_FILES = $(filter-out maintain.texi make-stds.texi standards.texi,$(wildcard *.texi)) $(wildcard posix-headers/*.texi) $(wildcard posix-functions/*.texi) $(wildcard glibc-headers/*.texi) $(wildcard glibc-functions/*.texi)

# Date of last update. Requires GNU date.
updated-stamp: $(GNULIB_TEXI_FILES)
	date -u -r `ls -t $^ | sed 1q` +"@set UPDATED %F %T" > $@

# Dependencies. Search for @include to find them all.
gnulib.info gnulib.html gnulib.dvi gnulib.pdf: $(GNULIB_TEXI_FILES) updated-stamp
standards.info standards.html standards.dvi: standards.texi make-stds.texi fdl.texi

mostlyclean:
	rm -f *.aux *.cn *.cp *.cps *.fn *.ky *.log *.pg *.toc *.tp *.vr *.vrs
	rm -f updated-stamp

clean: mostlyclean
	rm -f *.info *.html *.dvi *.ps *.pdf

=== debian/changelog ===
netcf (0.1.9-2ubuntu3) precise; urgency=low

  * debian/rules: drop 'DEB_MAKE_CHECK_TARGET := check' as it leads to
    puzzling build failures which we've not reproduced outside of the
    buildds, as mentioned at LP: #922304.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 26 Jan 2012 15:04:43 -0600

netcf (0.1.9-2ubuntu2) precise; urgency=low

  * debian/rules: add 'DEB_MAKE_CHECK_TARGET := check' to run tests during
    build as suggested by Jamie Strandboge.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 19 Jan 2012 15:58:39 -0600

netcf (0.1.9-2ubuntu1) precise; urgency=low

  * Merge from Debian unstable, remaining changes:
    - debian/control: depend on libnl-3-dev and libnl-route-3-dev, not libnl
    - apply the first two patches which update configure for libnl3
    - apply the last two patches (from 0.1.9-1ubuntu1), which make more libnl3
      changes.
  * rename patches 0009 and 0010 to 0008 and 0009 - the preexisting 0008 patch
    (0008-aug-save-before-get.patch) was not applied because it was broken, but
    had been kept in the source.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 13 Jan 2012 15:41:06 +0100

netcf (0.1.9-2) unstable; urgency=low

  * Add debug package (Closes: #650817)
  * Link against libnl rather than libnl-3 (Closes: #651033)
    - debian/control - fix dependencies
    - Don't apply first two patches

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 05 Dec 2011 11:20:49 -0600

netcf (0.1.9-1ubuntu2) precise; urgency=low

  * debian/control: drop libnl3 from libnetcf1 Depends.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 21 Dec 2011 09:58:59 -0500

netcf (0.1.9-1ubuntu1) precise; urgency=low

  * debian/control: update Build-Depends: libnl3-dev -> libnl-3-dev; add
    libnl-route-3-dev.
  * debian/patches/0009-fix-libnl3-cflags-and-linking.patch: fix include
    path and linking against libnl3.
  * debian/patches/0010-do-not-include-net-if.patch: don't include net/if.h,
    it interferes with linux/if.h which gets pulled in by netlink headers.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 21 Dec 2011 00:13:14 -0500

netcf (0.1.9-1) unstable; urgency=low

  * Initial release (Closes: #573072)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 06 Oct 2011 23:58:09 +0000

=== debian/control ===
Source: netcf
Priority: extra
Maintainer: Serge Hallyn <serge.hallyn@ubuntu.com>
Build-Depends: cdbs, debhelper (>= 8.0.0), libaugeas-dev, libnl-3-dev, libnl-route-3-dev, libreadline-dev, libtool, libxml2-dev, libxslt-dev, pkg-config
Standards-Version: 3.9.2
Section: libs
Homepage: https://fedorahosted.org/netcf/
Vcs-Git: git://git.fedorahosted.org/netcf.git
Vcs-Browser: http://git.fedorahosted.org/git/?p=netcf.git

Package: netcf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libnetcf1 (= ${binary:Version})
Section: admin
Description: programs for the netcf library
 Netcf is a library used to modify the network configuration of a
 system. Network configurations are expressed in a platform-independent
 XML format, which netcf translates into changes to the system's
 'native' network configuration files.
 .
 This package contains the supporting binaries to use with netcf.

Package: libnetcf-dev
Section: libdevel
Architecture: any
Depends: libnetcf1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: development library and headers for netcf
 Netcf is a library used to modify the network configuration of a
 system. Network configurations are expressed in a platform-independent
 XML format, which netcf translates into changes to the system's
 'native' network configuration files.
 .
 This package contains all the files that are needed to build
 applications using netcf.

Package: libnetcf1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libaugeas0, augeas-lenses, libxml2, libxslt1.1
Description: cross-platform network configuration library
 Netcf is a library used to modify the network configuration of a
 system. Network configurations are expressed in a platform-independent
 XML format, which netcf translates into changes to the system's
 'native' network configuration files.

Package: libnetcf1-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libnetcf1 (= ${binary:Version}), ${misc:Depends}
Description: cross-platform network configuration library
 Netcf is a library used to modify the network configuration of a
 system. Network configurations are expressed in a platform-independent
 XML format, which netcf translates into changes to the system's
 'native' network configuration files.
 .
 This package contains the debugging symbols for libnetcf1.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_PARALLEL = yes
DEB_CONFIGURE_EXTRA_FLAGS := --with-driver=debian
# DEB_MAKE_CHECK_TARGET := check

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

build/libnetcf-dev::
	mkdir -p debian/tmp/usr/share/pkgconfig
	cp -a netcf.pc debian/tmp/usr/share/pkgconfig

## netcf 0.2.0

=== debian/changelog ===
netcf (0.2.0-1ubuntu1) quantal; urgency=low

  * Resync from Debian unstable.
  * debian/control: depend on libnl-3-dev and libnl-route-3-dev, not libnl

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 27 Jul 2012 14:33:41 +0000

netcf (0.2.0-1) unstable; urgency=low

  * New upstream release (0.2.0).  Remove all patches.
  * debian/control: add ifupdown to build-depends.
  * debian/patches/fixpathsep: fix wrongly typed PATH_SEPARATOR in configure.ac
  * debian/patches/add-tests-debian: re-introduce tests/debian/ (accidentally
    dropped from the release tarball) needed to run tests.
  * debian/patches/add-ncftool-manpage and debian/netcf.manpages: add
    ncftool.1 manpage (Closes: #652823)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 23 Jul 2012 17:34:40 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: netcf
 Priority: extra
 Maintainer: Serge Hallyn <serge.hallyn@ubuntu.com>
-Build-Depends: cdbs, debhelper (>= 8.0.0), libaugeas-dev, libnl-3-dev, libnl-route-3-dev, libreadline-dev, libtool, libxml2-dev, libxslt-dev, pkg-config
-Standards-Version: 3.9.2
+Build-Depends: cdbs, debhelper (>= 8.0.0), ifupdown, libaugeas-dev, libnl-3-dev, libnl-route-3-dev, libreadline-dev, libtool, libxml2-dev, libxslt-dev, pkg-config
+Standards-Version: 3.9.3
 Section: libs
 Homepage: https://fedorahosted.org/netcf/
 Vcs-Git: git://git.fedorahosted.org/netcf.git

## netcf 0.2.3

=== debian/changelog ===
netcf (1:0.2.3-4ubuntu1) trusty; urgency=medium

  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Dec 2013 12:22:15 +0100

netcf (1:0.2.3-4) unstable; urgency=low

  * netcf-debian-memleak.patch: prevent a memory leak when listing
    interfaces

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 13 Aug 2013 23:58:20 +0000

netcf (1:0.2.3-3) unstable; urgency=low

  * Set architecture to linux-any to preclude build failures in
    unsupported environments

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 30 May 2013 11:45:47 -0400

netcf (1:0.2.3-2) unstable; urgency=low

  * Promote to unstable
  * Closes: #708563 -- promote to unstable from experimental
  * Closes: #697609 -- adds a symbol file
  * Closes: #697610 -- link with --as-needed flag

 -- Al Stone <ahs3@debian.org>  Tue, 28 May 2013 14:21:39 -0600

netcf (1:0.2.3-1) experimental; urgency=low

  * Merge upstream 0.2.3
    - keep add-tests-debian patch, which is in upstream git tree but not
      in the release tarball.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 24 Jan 2013 14:43:43 -0600

netcf (1:0.2.2-3) experimental; urgency=low

  * Rebuild and upload to experimental, with consistent epoch numbers
    due to reverting version for sid

 -- Al Stone <ahs3@debian.org>  Tue, 18 Dec 2012 14:14:47 -0700

netcf (1:0.2.0-5) unstable; urgency=low

  * Closes: #693744 -- revert to a version compatible with sid's
    libvirt0 instead of breaking libvirt installation; this forces
    the change to the epoch number
  * Closes: #694362 -- same issue as above, but reported from the
    standpoint of libvirt0 instead

 -- Al Stone <ahs3@debian.org>  Tue, 18 Dec 2012 13:37:11 -0700

netcf (0.2.2-2) unstable; urgency=low

  * Rebuild and promote to unstable from experimental.

 -- Al Stone <ahs3@debian.org>  Sun, 18 Nov 2012 15:29:25 -0700

netcf (0.2.2-1) experimental; urgency=low

  * Merge upstream 0.2.2  (Closes: #688167)
    - Drop patches merged upstream
    - debian/control:
      * switch to libnl3
      * conflict with libvirt0 (<= 0.10.1-2~)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 20 Sep 2012 16:23:07 -0500

netcf (0.2.0-2) unstable; urgency=low

  * Remove some extraneous patch files for patches that are no longer
    needed and should not be in the Debian source any more.

 -- Al Stone <ahs3@debian.org>  Tue, 07 Aug 2012 14:10:14 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: netcf
 Priority: extra
 Maintainer: Serge Hallyn <serge.hallyn@ubuntu.com>
-Build-Depends: cdbs, debhelper (>= 8.0.0), ifupdown, libaugeas-dev, libnl-3-dev, libnl-route-3-dev, libreadline-dev, libtool, libxml2-dev, libxslt-dev, pkg-config
+Build-Depends: cdbs, debhelper (>= 8.0.0), ifupdown, libaugeas-dev, libnl-3-dev, libnl-route-3-dev, libreadline-dev, libtool, libxml2-dev, libxslt-dev, pkg-config, dh-autoreconf
 Standards-Version: 3.9.3
 Section: libs
 Homepage: https://fedorahosted.org/netcf/
@@ -9,7 +9,7 @@
 Vcs-Browser: http://git.fedorahosted.org/git/?p=netcf.git
 
 Package: netcf
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libnetcf1 (= ${binary:Version})
 Section: admin
 Description: programs for the netcf library
@@ -22,7 +22,7 @@
 
 Package: libnetcf-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Depends: libnetcf1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: development library and headers for netcf
  Netcf is a library used to modify the network configuration of a
@@ -35,8 +35,9 @@
 
 Package: libnetcf1
 Section: libs
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libaugeas0, augeas-lenses, libxml2, libxslt1.1
+Conflicts: libvirt0 (<= 0.10.1-2~)
 Description: cross-platform network configuration library
  Netcf is a library used to modify the network configuration of a
  system. Network configurations are expressed in a platform-independent
@@ -44,7 +45,7 @@
  'native' network configuration files.
 
 Package: libnetcf1-dbg
-Architecture: any
+Architecture: linux-any
 Section: debug
 Priority: extra
 Depends: libnetcf1 (= ${binary:Version}), ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,10 @@
 
 DEB_BUILD_PARALLEL = yes
 DEB_CONFIGURE_EXTRA_FLAGS := --with-driver=debian
-# DEB_MAKE_CHECK_TARGET := check
 
+LDFLAGS += -Wl,--as-needed
+
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk

## netcf 0.2.4

=== debian/changelog ===
netcf (1:0.2.4-3) experimental; urgency=medium

  * Build using dh-autoreconf

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 30 Jun 2014 13:53:13 -0500

netcf (1:0.2.4-2) experimental; urgency=medium

  [ Dimitri John Ledkov ]
  * debian/libnetcf1.symbols: Fix symbols

  [ Serge Hallyn ]
  * debian/control: remove Vcs_Git and Vcs-Browser which were for upstream,
    not packaging trees.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 20 Jun 2014 13:14:36 -0500

netcf (1:0.2.4-1) experimental; urgency=medium

  * Merge upstream release 0.2.4
    - drop add-tests-debian which is applied upsetream
    - drop netcf-debian-memleak.patch which is applied upstream

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 27 May 2014 10:02:06 -0500

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,6 @@
 Standards-Version: 3.9.3
 Section: libs
 Homepage: https://fedorahosted.org/netcf/
-Vcs-Git: git://git.fedorahosted.org/netcf.git
-Vcs-Browser: http://git.fedorahosted.org/git/?p=netcf.git
 
 Package: netcf
 Architecture: linux-any

## netcf 0.2.6

=== debian/changelog ===
netcf (1:0.2.6-1ubuntu1) wily; urgency=medium

  * cherrypick debian/patches/fix-if-h-problems-with-newer-libnl3 from
    upstream (Closes: #795328)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 20 Oct 2015 09:27:26 -0500

netcf (1:0.2.6-1) experimental; urgency=medium

  * Merge upstream 0.2.6
  * Drop all patches, all are now applied upstream
  * Pull symbols file fix from xnox.
  * Re-order build-deps alphabetically

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 15 Dec 2014 09:24:20 -0600

netcf (1:0.2.3-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use dh-autoreconf to fix FTBFS on ppc64el (Closes: #755777)

 -- Hilko Bengen <bengen@debian.org>  Thu, 28 Aug 2014 22:21:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: netcf
 Priority: extra
 Maintainer: Serge Hallyn <serge.hallyn@ubuntu.com>
-Build-Depends: cdbs, debhelper (>= 8.0.0), ifupdown, libaugeas-dev, libnl-3-dev, libnl-route-3-dev, libreadline-dev, libtool, libxml2-dev, libxslt-dev, pkg-config, dh-autoreconf
+Build-Depends: cdbs, debhelper (>= 8.0.0), dh-autoreconf, ifupdown, libaugeas-dev, libnl-3-dev, libnl-route-3-dev, libreadline-dev, libtool, libxml2-dev, libxslt-dev, pkg-config
 Standards-Version: 3.9.3
 Section: libs
 Homepage: https://fedorahosted.org/netcf/

## netcf 0.2.8

=== debian/changelog ===
netcf (1:0.2.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Set package priority back to optional.
  * debian/control: Use current homepage. (Closes: #859848)
  * Multi-Archify packages. (Closes: #812920)
  * debian/rules: Do not install .pc file into /usr/share/pkgconfig/ since
    it violates multi-arch requirement. Using /usr/lib/*/pkgconfig/ is
    already good enough.
  * debian/watch: Monitor pagure.io upstream.
  * debian/copyright: Fix lintian warnings.

 -- Boyuan Yang <byang@debian.org>  Mon, 28 Dec 2020 14:11:10 -0500

netcf (1:0.2.8-1) unstable; urgency=medium

  * Import new upstream 2.8.0
  * Drop existing patches which are applied upstream
  * debian/control: remove Vcs_Git and Vcs-Browser which were for upstream,
    not packaging trees.
  * Apply upstream patch fix-misplaced-tag
  * debian/libnetcf1.install: remove obsolete iptables-forward-bridged file

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 22 Sep 2015 16:04:04 -0500

netcf (1:0.2.3-5) unstable; urgency=medium

  * cherrypick debian/patches/fix-if-h-problems-with-newer-libnl3 from
    upstream (Closes: #795328)
  * debian/patches/fix-uninitialized-variable: initialize 'r' for error
    path in two fns

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 16 Sep 2015 13:59:07 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: netcf
-Priority: extra
+Priority: optional
 Maintainer: Serge Hallyn <serge.hallyn@ubuntu.com>
 Build-Depends: cdbs, debhelper (>= 8.0.0), dh-autoreconf, ifupdown, libaugeas-dev, libnl-3-dev, libnl-route-3-dev, libreadline-dev, libtool, libxml2-dev, libxslt-dev, pkg-config
-Standards-Version: 3.9.3
+Standards-Version: 4.5.1
 Section: libs
-Homepage: https://fedorahosted.org/netcf/
+Homepage: https://pagure.io/netcf
 
 Package: netcf
 Architecture: linux-any
@@ -21,7 +21,8 @@
 Package: libnetcf-dev
 Section: libdevel
 Architecture: linux-any
-Depends: libnetcf1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
+Depends: libnetcf1 (= ${binary:Version}), ${misc:Depends}
 Description: development library and headers for netcf
  Netcf is a library used to modify the network configuration of a
  system. Network configurations are expressed in a platform-independent
@@ -32,26 +33,25 @@
  applications using netcf.
 
 Package: libnetcf1
-Section: libs
 Architecture: linux-any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, libaugeas0, augeas-lenses, libxml2, libxslt1.1
 Conflicts: libvirt0 (<= 0.10.1-2~)
-Description: cross-platform network configuration library
+Description: cross-platform network configuration library (runtime library)
  Netcf is a library used to modify the network configuration of a
  system. Network configurations are expressed in a platform-independent
  XML format, which netcf translates into changes to the system's
  'native' network configuration files.
+ .
+ This package provides the runtime library.
 
 Package: libnetcf1-dbg
 Architecture: linux-any
-Section: debug
-Priority: extra
 Depends: libnetcf1 (= ${binary:Version}), ${misc:Depends}
-Description: cross-platform network configuration library
+Description: cross-platform network configuration library (debug symbols)
  Netcf is a library used to modify the network configuration of a
  system. Network configurations are expressed in a platform-independent
  XML format, which netcf translates into changes to the system's
  'native' network configuration files.
  .
  This package contains the debugging symbols for libnetcf1.
-

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_PARALLEL = yes
DEB_CONFIGURE_EXTRA_FLAGS := --with-driver=debian --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

LDFLAGS += -Wl,--as-needed

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/class/autotools.mk

=== debian/watch ===
version=4
opts="" \
 https://releases.pagure.org/netcf/ \
 netcf-(\d.*)@ARCHIVE_EXT@ debian uupdate

## netcf 0.2.8%2Bapricot

=== debian/changelog ===
netcf (1:0.2.8+apricot-1) unstable; urgency=medium

  * Import new upstream 2.8.0
  * Drop existing patches which are applied upstream
  * debian/control: remove Vcs_Git and Vcs-Browser which were for upstream,
    not packaging trees.
  * Apply upstream patch fix-misplaced-tag
  * debian/libnetcf1.install: remove obsolete iptables-forward-bridged file

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 22 Sep 2015 16:04:04 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: netcf
-Priority: optional
+Priority: extra
 Maintainer: Serge Hallyn <serge.hallyn@ubuntu.com>
 Build-Depends: cdbs, debhelper (>= 8.0.0), dh-autoreconf, ifupdown, libaugeas-dev, libnl-3-dev, libnl-route-3-dev, libreadline-dev, libtool, libxml2-dev, libxslt-dev, pkg-config
-Standards-Version: 4.5.1
+Standards-Version: 3.9.6
 Section: libs
-Homepage: https://pagure.io/netcf
+Homepage: https://fedorahosted.org/netcf/
 
 Package: netcf
 Architecture: linux-any
@@ -21,8 +21,7 @@
 Package: libnetcf-dev
 Section: libdevel
 Architecture: linux-any
-Multi-Arch: same
-Depends: libnetcf1 (= ${binary:Version}), ${misc:Depends}
+Depends: libnetcf1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: development library and headers for netcf
  Netcf is a library used to modify the network configuration of a
  system. Network configurations are expressed in a platform-independent
@@ -34,7 +33,6 @@
 
 Package: libnetcf1
 Architecture: linux-any
-Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, libaugeas0, augeas-lenses, libxml2, libxslt1.1
 Conflicts: libvirt0 (<= 0.10.1-2~)
 Description: cross-platform network configuration library (runtime library)
@@ -55,3 +53,4 @@
  'native' network configuration files.
  .
  This package contains the debugging symbols for libnetcf1.
+

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_PARALLEL = yes
DEB_CONFIGURE_EXTRA_FLAGS := --with-driver=debian

LDFLAGS += -Wl,--as-needed

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/class/autotools.mk

build/libnetcf-dev::
	mkdir -p debian/tmp/usr/share/pkgconfig
	cp -a netcf.pc debian/tmp/usr/share/pkgconfig
